Issue 105140 - 12 new functions in excel 2007 not found in calc
Summary: 12 new functions in excel 2007 not found in calc
Status: CONFIRMED
Alias: None
Product: Calc
Classification: Application
Component: programming (show other issues)
Version: recent-trunk
Hardware: All All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 127939 (view as issue list)
Depends on: 92677 90269 95144 101466
Blocks:
  Show dependency tree
 
Reported: 2009-09-17 09:23 UTC by walidz
Modified: 2018-11-18 13:22 UTC (History)
8 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description walidz 2009-09-17 09:23:29 UTC
The following functions found in excel 2007 but not in calc


1- AVERAGEIF(range,criteria,average_range)
2- AVERAGEIFS(average_range,criteria_range1,criteria1, criteria_range2, criteria2…)
3- CUBEKPIMEMBER(connection,kpi_name,kpi_property,caption)
4- CUBEMEMBER(connection,member_expression,caption)
5- CUBEMEMBERPROPERTY(connection,member_expression,property)
6- CUBERANKEDMEMBER(connection,set_expression,rank,caption)
7- CUBESET(connection,set_expression,caption,sort_order,sort_by)
8- CUBESETCOUNT(set)
9- CUBEVALUE(connection,member_expression1,member_expression2…)
10 - COUNTIFS(criteria_range1, criteria1, [criteria_range2, criteria2]…)
11 - IFERROR(value,value_if_error)
12 - SUMIFS(sum_range, criteria_range1, criteria1, [criteria_range2, criteria2], …)


please refer to excel help , or search google for the usage of these functions
Comment 1 oc 2009-09-21 11:35:16 UTC
Confirmed and reassigned to owner requirements
Comment 2 Regina Henschel 2010-04-26 22:00:20 UTC
AVERIGEIF and AVERIGEIFS is tracked in issue 101466.
SUMIFS is tracked in issue 95144.
COUNTIFS is tracked in issue 90269.
IFERROR and IFNA are tracked in issue 92677.

So for this issue only the CUBE-functions remain. They are not defined in
OpenFormula 1.2 draft.
Comment 3 vulcain 2013-01-28 10:22:23 UTC
Some Resolved in LibreOffice 4.0:
ODFF: implement SUMIFS(), COUNTIFS(), AVERAGEIF() and AVERAGEIFS() spreadsheet functions https://bugs.freedesktop.org/show_bug.cgi?id=41214
add calc functions IFERROR and IFNA as in ODFF1.2 https://bugs.freedesktop.org/show_bug.cgi?id=56124
Comment 4 Ariel Constenla-Haile 2013-01-28 15:06:15 UTC
(In reply to comment #3)
> Some Resolved in LibreOffice 4.0:
> ODFF: implement SUMIFS(), COUNTIFS(), AVERAGEIF() and AVERAGEIFS()

These functions were introduced in OpenOffice with the inclusion off CWS calcishmakkica in

revision 1381445
revision 1381446
revision 1381447
revision 1381448
revision 1381449
revision 1381450
revision 1381452

After that, LO took the code released under the Apache License.

> spreadsheet functions https://bugs.freedesktop.org/show_bug.cgi?id=41214
> add calc functions IFERROR and IFNA as in ODFF1.2
> https://bugs.freedesktop.org/show_bug.cgi?id=56124

I find it inadmissible that you promote a fork using OpenOffice resources, like
this bugzilla
Comment 5 vulcain 2013-01-28 15:53:56 UTC
"it inadmissible that you promote a fork using OpenOffice resources, like,this bugzilla"
Why ?? Why use your resource is inadmissible? 
Apache Licence authorize it, no ?

My goal is the knowledge of ODF, to know if could use all ODF 1.2 specifications. No to promote a software. I promote only ODF.
TDF say that they could use some ODF's specification in their release note. Why we could not find it on https://cwiki.apache.org/confluence/display/OOOUSERS/AOO+4.0+Release+Notes or on https://cwiki.apache.org/confluence/display/OOOUSERS/AOO+4.0+Release+Planning ??

If you go to the LibreOffice bugzilla, you will see that i add a link to Apache OpenOffice bugzilla for the same bug. But here, i could not add a link in to "See also" So i write a comment, sorry for that. I realy prefer add a link in see "See also"

It 's a good new to know that it was on Apache OpenOffice alpha and TDF use it for LibreOffice (normal, it's agree with Apache Licence)
I hope you will write it in your release note. I write to TDF to make a list of this.

Regard
Comment 6 Ariel Constenla-Haile 2013-02-08 00:45:27 UTC
(In reply to comment #5)
> "it inadmissible that you promote a fork using OpenOffice resources,
> like,this bugzilla"
> Why ?? Why use your resource is inadmissible? 

Please note that this is only my personal opinion, that was the meaning of "I find it".

> If you go to the LibreOffice bugzilla, you will see that i add a link to
> Apache OpenOffice bugzilla for the same bug.

Referring to bugs in TDF bugzilla might be helpful, the OpenOffice developer might find  helpful the bug description and test documents, but anyway the solution must be developed independently of the one in LO due to incompatible license (they can - and actually do - take the code developed in Apache OpenOffice, but this is not symmetrical).

What I found inadmissible was not pointing to a TDF bug report ("this bug was also reported in <freedesktop bugzilla link>"), but what can be certainly be interpreted as promoting a release, including even links to their release notes.

It is inadmissible, it is simply a matter of criterion and good taste: even LO developers might find the attitude rather inappropriate, a way of "pollute a foreign bugtracker with LibO-specifics" - just to quote something: http://lists.freedesktop.org/archives/libreoffice-qa/2012-February/001049.html 

Funnily in their latest release notes they mention contributions made by "Apache", there is no reference to "OpenOffice" ;)
Comment 7 vulcain 2013-02-19 11:18:40 UTC
TDF want to use MPL 2.0: http://standardsandfreedom.net/index.php/2013/01/24/the-meaning-of-the-4-0/ If they use LGPL it's only that Oracle let for them.

May be you think as developper, me i think as an user. Could i use this ODF 1.2 feature in LibO only or in AOo only or in both ? I check in bug trackers in give the link. And a lot of code from OpenOffice.org are in ApacheOpenOffice and in LibreOffice, if they have same bugs, why not to give the link in both bug tracker?

Sorry for developper but my goal is only knowledge. Sorry for Knowledge's noise. My interventions will be only as a link or a simple commentary for not give food for community's war.
Comment 8 oooforum (fr) 2018-11-18 13:22:18 UTC
*** Issue 127939 has been marked as a duplicate of this issue. ***